Main Page Class Hierarchy Compound List File List Compound Members File Members

# DummyPkg Class Reference

implementa un messaggio dummy usato per testing.@n Struttura di "pkg data" (l'header e' standard):@n char[]= array di caratteri nel formato di stringhe di C. More...

`#include <DummyPkg.h>`

Inheritance diagram for DummyPkg:

List of all members.

## Public Methods
| DummyPkg (int a, bool ack=false)
| Costruttore ordinario. More...
| DummyPkg (byte *ptr)
| Costruisce l'oggetto a partire dall'array restituito da getMsg(). More...
virtual | ~DummyPkg ()
| Distruttore di Default.
virtual TelepatiPkg * | clone ()
| Clonatore. More...
byte * | getMsg ()
| Ritorna un array che rappresenta l'oggetto. More...
string | getString ()
| Stringa "Dummy message". More...
## Protected Attributes
string | str
| Stringa "Dummy message".

## Detailed Description

implementa un messaggio dummy usato per testing.@n Struttura di "pkg data" (l'header e' standard):@n char[]= array di caratteri nel formato di stringhe di C.

## Constructor & Destructor Documentation

DummyPkg::DummyPkg | ( | int | a,
|  | bool | ack = false
| ) |

  | Costruttore ordinario. Parameters:
  a | aibo di destinazione
  ack | true:se richiesto l'Ack; false: altrimenti

DummyPkg::DummyPkg | ( | byte * | ptr | ) |

  | Costruisce l'oggetto a partire dall'array restituito da getMsg(). Parameters:
  ptr | puntatore all'array di byte.
See also: getMsg()

## Member Function Documentation

TelepatiPkg * DummyPkg::clone | ( |  | ) | `[virtual]`

| Clonatore. Restituisce un clone dell'oggetto su cui e' chiamato. Implements TelepatiPkg.

byte * DummyPkg::getMsg | ( |  | ) | `[virtual]`

| Ritorna un array che rappresenta l'oggetto. Costruisce un array che rappresenta l'oggetto, l'array corrisponde ai dati spediti via rete. Returns: array di byte. See also: DummyPkg(byte* ptr) Implements TelepatiPkg.

string DummyPkg::getString | ( |  | ) | `[inline]`

| Stringa "Dummy message". Returns: stringa del messaggio

The documentation for this class was generated from the following files:

- /home/gilberto/prog/tesi2.31/lib/Packages/DummyPkg.h
- /home/gilberto/prog/tesi2.31/lib/Packages/DummyPkg.cc